package com.gx.obe.server.common.utils;

import java.math.BigDecimal;

/** 
 * @Description: 
 * @author mazc 
 */
public class ObjectUtils {
	
	/**
	 * @Description: 
	 * @author mazc
	 * @param str1
	 * @param str2
	 * @return 
	 */
	public static boolean equals(String str1, String str2) {
		if (null != str1 && null != str2 && str1.equals(str2)) {
			return true;
		} else if(null == str1 && null == str2){
			return true;
		}else {
			return false;	
		}
	}
	
	
	/**
	 * @Description: 
	 * @author mazc
	 * @param obj
	 * @param defaultValue
	 * @return 
	 */
	public static int getIntValue(Object obj, int defaultValue) {
		if (null == obj) return defaultValue;
		if (obj instanceof Integer) return (Integer) obj;
		try {
			return Integer.parseInt(obj.toString().trim());
		} catch (Exception e) {
			return defaultValue;
		}
	}
	
	public static String getObjString(Object obj){
		if(null == obj){
			return "";
		}else {
			return obj.toString();
		}
	}
	
	public static BigDecimal getObjBigDecimal(Object obj) {
		if (null == obj) return null;
		try {
			return new BigDecimal(obj.toString().trim().replace(",", ""));
		} catch (Exception e) {
			return null;
		}
	}
	
}
