package com.gx.obe.server.management.dictionary.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gx.obe.server.management.dictionary.dao.BidOpeningRoomMapper;
import com.gx.obe.server.management.dictionary.entity.BidOpeningRoom;
import com.gx.obe.server.management.dictionary.service.BidOpeningRoomService;

  /**  
 * 
 * @author 
 * @Title: BidOpeningRoomService
 * @Package com.gx.obe.server.management.dictionary.service  
 * @Description:     
 * @author: XiaoMa Pro - myzhichao@163.com
 * @date:   2019-05-13   
 * @version V1.0 
 * @Copyright: 2019 www.msypro.com Inc. All rights reserved. 
 *  
 */
@Service
@Transactional
public class BidOpeningRoomServiceImpl extends ServiceImpl<BidOpeningRoomMapper, BidOpeningRoom> 
																					  implements BidOpeningRoomService {

	@Autowired
	private BidOpeningRoomMapper bidOpeningRoomMapper;

	public List<BidOpeningRoom> getBidOpeningRoomList(String useStatus){
		QueryWrapper<BidOpeningRoom> queryWrapper = new QueryWrapper<>();
		queryWrapper.lambda().eq(BidOpeningRoom::getUseStatus, useStatus);
		return bidOpeningRoomMapper.selectList(queryWrapper);
	}
}
