package com.gx.obe.server.management.editprice.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("obe_edit_price_item")
public class EditPriceItem extends Model<EditPriceItem> {
	private static final long serialVersionUID=1L;

    /**
     * 主键
     */
            @TableId("EDIT_PRICE_ITEM_ID")
                private String id;
    /**
     * 项目id
     */
    @TableField("TENDER_ID")
        private String tenderId;
    /**
     * 报价id
     */
    @TableField("BID_PRICE_ID")
        private String bidPriceId;
    /**
     * 条目名称
     */
    @TableField("ITEM_NAME")
        private String itemName;
    /**
     * 条目编号
     */
    @TableField("ITEM_CODE")
        private String itemCode;
    /**
     * 修正类型 [01:浮动型 02:增减型]
     */
    @TableField("EDIT_TYPE")
        private String editType;
    /**
     * 排序
     */
    @TableField("SORT_NO")
        private Integer sortNo;

 

    public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTenderId(){
        return tenderId;
        }

        public void setTenderId(String tenderId) {
        this.tenderId = tenderId;
        }

    public String getBidPriceId(){
        return bidPriceId;
        }

        public void setBidPriceId(String bidPriceId) {
        this.bidPriceId = bidPriceId;
        }

    public String getItemName(){
        return itemName;
        }

        public void setItemName(String itemName) {
        this.itemName = itemName;
        }

    public String getItemCode(){
        return itemCode;
        }

        public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
        }

    public String getEditType(){
        return editType;
        }

        public void setEditType(String editType) {
        this.editType = editType;
        }

    public Integer getSortNo(){
        return sortNo;
        }

        public void setSortNo(Integer sortNo) {
        this.sortNo = sortNo;
        }

    public static final String EDIT_PRICE_ITEM_ID ="EDIT_PRICE_ITEM_ID";

    public static final String TENDER_ID ="TENDER_ID";

    public static final String BID_PRICE_ID ="BID_PRICE_ID";

    public static final String ITEM_NAME ="ITEM_NAME";

    public static final String ITEM_CODE ="ITEM_CODE";

    public static final String EDIT_TYPE ="EDIT_TYPE";

    public static final String SORT_NO ="SORT_NO";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {//editPriceItemId 
    return "EditPriceItem{" +
            ", id=" + id +
            ", tenderId=" + tenderId +
            ", bidPriceId=" + bidPriceId +
            ", itemName=" + itemName +
            ", itemCode=" + itemCode +
            ", editType=" + editType +
            ", sortNo=" + sortNo +
    "}";
    }
    }
