package com.gx.obe.server.management.evaluation.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.evaluation.entity.ProjectEvaluationRoom;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface ProjectEvaluationRoomService extends IService<ProjectEvaluationRoom> {
 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeProjectEvaluationRoomList 
	 */
 	Integer updateByBatch (List<ProjectEvaluationRoom> ObeProjectEvaluationRoomList);
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeProjectEvaluationRoomList 
	 */
	Integer insertByBatch (List<ProjectEvaluationRoom> ObeProjectEvaluationRoomList);
	
	
	/**
	 * @Description: 是否存在主评标室
	 * @author mazc
	 * @param tenderId 项目ID
	 * @return
	 */
	public boolean isExistPrimaryRoom(String tenderId);
	
	/**
	 * @Description: 获得项目与评标室关联数据
	 * @author mazc
	 * @param tenderId
	 * @return
	 */
	public List<ProjectEvaluationRoom> getProjectEvalRoomList(String tenderId);
	 int deleteByTenderIdAndEvaluationRoomId(String tenderId,String evaluationRoomId);
	 boolean updateAssignProperty(ProjectEvaluationRoom projectEvaluationRoom);
}





