package com.gx.obe.server.management.im.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.im.entity.GroupMessage;

import java.util.List;

/** 
 * @Description: 
 * @author mazc 
 */
@Mapper
public interface GroupMessageMapper extends BaseMapper<GroupMessage> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param GroupMessageList 
	 */
	Integer updateBatchList(@Param("GroupMessageList") List<GroupMessage> GroupMessageList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param GroupMessageList 
	 */
	Integer insertByBatch(@Param("GroupMessageList") List<GroupMessage> GroupMessageList);

	/**
     * @Description: 指定字段修改
     * @author chenxw
     * @param GroupMessage
	 * @param attributes
     */
    Integer updateAssignProperty(@Param("GroupMessage")GroupMessage GroupMessage, @Param("attributes")String[] attributes);
    
    /**
     * @Description: 批量指定字段修改
     * @author chenxw
     * @param GroupMessageList
	 * @param attributes
     */
    Integer batchUpdateProperty(@Param("GroupMessageList")List<GroupMessage> GroupMessageList, @Param("attributes")String[] attributes);

}