package com.gx.obe.server.management.im.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import lombok.Data;

import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.util.Date;
import java.sql.Blob;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;


import com.baomidou.mybatisplus.annotation.TableName;

/** 
 * @Description: 
 * @author mazc 
 */
@TableName("message")
@Data
public class Message extends Model<Message> {

	private static final long serialVersionUID = 1L;

	@TableId("MESSAGE_ID")
	private String id;
	@TableField("SEND_ID")
	private String sendId;
	@TableField("RECEIVE_ID")
	private String receiveId;
	@TableField("SEND_TIME")
	private Date sendTime;
	@TableField("MSG_CONTENT")
	private byte[] msgContent;
	@TableField("FIRST_LENGTH")
	private Integer firstLength;
	@TableField("GROUP_ID")
	private String groupId;


    public static final String MESSAGE_ID ="MESSAGE_ID";
	
    public static final String SEND_ID ="SEND_ID";
	
    public static final String RECEIVE_ID ="RECEIVE_ID";
	
    public static final String SEND_TIME ="SEND_TIME";
	
    public static final String MSG_CONTENT ="MSG_CONTENT";
	
    public static final String FIRST_LENGTH ="FIRST_LENGTH";
	
    public static final String GROUP_ID ="GROUP_ID";
	
	@Override
	protected Serializable pkVal(){
        return this.id;
    }
 
}