package com.gx.obe.server.management.log.dao;

import java.util.Date;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gx.obe.server.management.log.entity.SysLog;

/** 
 * @Description: 
 * @author mazc 
 */
@Mapper
public interface SysLogMapper extends BaseMapper<SysLog> {
	/**
	 * @param createUser
	 * @param title 标题
	 * @param params 参数
	 * @param createTime 开始时间
	 * @param endTime	截止时间
	 * @param returnValue 返回值
	 * @param isException 是否有异常数据
	 * @return
	 */
	 IPage<SysLog>  selectConditionQuery(Page<SysLog> page, @Param("createUser")String createUser,
										@Param("title")String title,
										@Param("params")String params,
										@Param("createTime")String createTime,
										@Param("endTime")String endTime,
										@Param("returnValue")String returnValue,
										@Param("isException")Boolean isException);	
}