package com.gx.obe.server.management.menu.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.menu.entity.AuthRoleMenu;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface AuthRoleMenuMapper extends BaseMapper<AuthRoleMenu> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param AuthRoleMenuList 
	 */
	Integer updateBatchList (@Param("AuthRoleMenuList") List<AuthRoleMenu> AuthRoleMenuList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param AuthRoleMenuList 
	 */
	Integer insertByBatch (@Param("AuthRoleMenuList")List<AuthRoleMenu> AuthRoleMenuList);

}