package com.gx.obe.server.management.price.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.price.entity.BidPriceItemHisResult;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface BidPriceItemHisResultMapper extends BaseMapper<BidPriceItemHisResult> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeBidPriceItemHisResultList 
	 */
	Integer updateBatchList (@Param("ObeBidPriceItemHisResultList") List<BidPriceItemHisResult> ObeBidPriceItemHisResultList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeBidPriceItemHisResultList 
	 */
	Integer insertByBatch (@Param("ObeBidPriceItemHisResultList")List<BidPriceItemHisResult> ObeBidPriceItemHisResultList);

	/**
	 * @Description: 获得指定项目指定轮次指定报价的明细
	 * @author wangxiang
	 * @param tenderId
	 * @param bidPriceId
	 * @param round
	 * @return 
	 */
	List<BidPriceItemHisResult> getItemHisResultBytenderIdpriceIdRoud(@Param("tenderId")String tenderId, @Param("bidPriceId")String bidPriceId,@Param("round") int round);

	Integer deleteByTenderId(String tenderId);

}