package com.gx.obe.server.management.struct_new.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author mazc
 * @Description:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("obe_bidder_basic_info")
public class ObeBidderBasicInfo extends Model<ObeBidderBasicInfo> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("ID")
    private String id;
    /**
     * 项目ID
     */
    @TableField("TENDER_ID")
    private String tenderId;
    /**
     * 模型数据ID
     */
    @TableField("MODEL_DATA_ID")
    private String modelDataId;
    /**
     * 投标人名称
     */
    @TableField("COMPANY_NAME")
    private String companyName;
    /**
     * 注册地址
     */
    @TableField("REGISTER_LOCATION")
    private String registerLocation;
    /**
     * 邮政编码
     */
    @TableField("POSTAL_CODE")
    private String postalCode;
    /**
     * 联系人
     */
    @TableField("LINK_MAN")
    private String linkMan;
    /**
     * 电话
     */
    @TableField("LINK_MAN_PHONE")
    private String linkManPhone;
    /**
     * 传真
     */
    @TableField("LINK_MAN_FAX")
    private String linkManFax;
    /**
     * 网址
     */
    @TableField("LINK_MAN_WEBSITE")
    private String linkManWebsite;
    /**
     * 组织结构
     */
    @TableField("ORG_STRUCTURE")
    private String orgStructure;
    /**
     * 法定代表人姓名
     */
    @TableField("LEGAL_REPRESENTATIVE_NAME")
    private String legalRepresentativeName;
    /**
     * 法定代表人技术职称
     */
    @TableField("LEGAL_REPRESENTATIVE_TITLE")
    private String legalRepresentativeTitle;
    /**
     * 法定代表人电话
     */
    @TableField("LEGAL_REPRESENTATIVE_PHONE")
    private String legalRepresentativePhone;
    /**
     * 技术负责人姓名
     */
    @TableField("TECHNICAL_DIRECTOR_NAME")
    private String technicalDirectorName;
    /**
     * 技术负责人技术职称
     */
    @TableField("TECHNICAL_DIRECTOR_TITLE")
    private String technicalDirectorTitle;
    /**
     * 技术负责人电话
     */
    @TableField("TECHNICAL_DIRECTOR_PHONE")
    private String technicalDirectorPhone;
    /**
     * 成立时间
     */
    @TableField("SETUP_TIME")
    private String setupTime;
    /**
     * 企业资质等级
     */
    @TableField("COMPANY_QUALIFICATION_LEVEL")
    private String companyQualificationLevel;
    /**
     * 注册资金
     */
    @TableField("REGISTERED_CAPITAL")
    private String registeredCapital;
    /**
     * 开户银行
     */
    @TableField("DEPOSIT_BANK")
    private String depositBank;
    /**
     * 营业执照号
     */
    @TableField("BUSSINESS_LICENSE")
    private String bussinessLicense;
    /**
     * 银行账号
     */
    @TableField("BANK_ACCOUNT")
    private String bankAccount;
    /**
     * 员工总人数
     */
    @TableField("EMPLOYEE_NUMBER")
    private String employeeNumber;
    /**
     * 项目经理数量
     */
    @TableField("PURCHASER_NUMBER")
    private String purchaserNumber;
    /**
     * 高级职称人员数量
     */
    @TableField("SENIOR_PROFESSIONAL_POST_NUMBER")
    private String seniorProfessionalPostNumber;
    /**
     * 中极职称人员数量
     */
    @TableField("MEDIUM_PROFESSIONAL_POST_NUMBER")
    private String mediumProfessionalPostNumber;
    /**
     * 初级职称人员数量
     */
    @TableField("PRIMARY_PROFESSIONAL_POST_NUMBER")
    private String primaryProfessionalPostNumber;
    /**
     * 技工数量
     */
    @TableField("ARTISAN_NUMBER")
    private String artisanNumber;
    /**
     * 经营范围
     */
    @TableField("BUSINESS_SCOPE")
    private String businessScope;
    /**
     * 企业性质
     */
    @TableField("ENTERPRISE_NATURE")
    private String enterpriseNature;
    /**
     * 股权结构
     */
    @TableField("EQUITY_STRUCTURE")
    private String equityStructure;
    /**
     * 关联企业情况
     */
    @TableField("RELATED_COMPANY_INFO")
    private String relatedCompanyInfo;
    /**
     * 服务能力
     */
    @TableField("SERVICE_ABILITY")
    private String serviceAbility;
    /**
     * 拟投入本项目设备
     */
    @TableField("PRE_INPUT_DEVICE")
    private String preInputDevice;
    /**
     * 备注
     */
    @TableField("MEMO")
    private String memo;

}