package com.gx.obe.server.management.struct_new.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author mazc
 * @Description:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("obe_qualification")
public class ObeQualification extends Model<ObeQualification> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("ID")
    private String id;
    /**
     * 项目ID
     */
    @TableField("TENDER_ID")
    private String tenderId;
    /**
     * 模型数据ID
     */
    @TableField("MODEL_DATA_ID")
    private String modelDataId;
    /**
     * 证书名称
     */
    @TableField("CERTIFICATE_NAME")
    private String certificateName;
    /**
     * 获奖工程名称
     */
    @TableField("AWARD_PROJECT_NAME")
    private String awardProjectName;
    /**
     * 单位名称
     */
    @TableField("COMPANY_NAME")
    private String companyName;
    /**
     * 证书等级
     */
    @TableField("AWARD_LEVEL")
    private String awardLevel;
    /**
     * 证书编号
     */
    @TableField("CERTIFICATE_NUMBER")
    private String certificateNumber;
    /**
     * 发证机关（认证单位）
     */
    @TableField("ISSUE_AUTHORITY")
    private String issueAuthority;
    /**
     * 发证日期
     */
    @TableField("ISSUE_DATE")
    private String issueDate;
    /**
     * 有效期至
     */
    @TableField("PERIOD_VALIDITY")
    private String periodValidity;
    /**
     * 获奖工程名称
     */
    @TableField("PROJECT_NAME")
    private String projectName;

}