package com.gx.obe.server.tripartitefunction.bidata.vo;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonProperty;

/** 
 * @Description: 企业基本信息列表
 * @author mazc 
 */
public class Basiclist implements Serializable {
    /**
	 * 
	 */
	private static final long serialVersionUID = -8948656592051090858L;
	
	/**
	 *  企业名称 ,
	 */
	@JsonProperty("ENTNAME")
    private String ENTNAME;
    /**
     * 企业ENTID ,
     */
    @JsonProperty("ENTID")
    private String ENTID;
    /**
     * 组织机构代码 ,
     */
    @JsonProperty("ORGCODES")
    private String ORGCODES;
    /**
     * 统一信用代码 ,
     */
    @JsonProperty("CREDITCODE")
    private String CREDITCODE;
    /**
     * 注册号 ,
     */
    @JsonProperty("REGNO")
    private String REGNO;
    /**
     * 法定代表人/负责人/执行事务合伙人 ,
     */
    @JsonProperty("FRNAME")
    private String FRNAME;
    /**
     * 注册资本（企业:万元） ,
     */
    @JsonProperty("REGCAP")
    private String REGCAP;
    /**
     * 成立日期 ,
     */
    @JsonProperty("ESDATE")
    private String ESDATE;
    /**
     * 实体类型 ,
     */
    @JsonProperty("ENTITYTYPE")
    private String ENTITYTYPE;
    /**
     * 企业类型 ,
     */
    @JsonProperty("ENTTYPE")
    private String ENTTYPE;
    /**
     * 经营状态 ,
     */
    @JsonProperty("ENTSTATUS")
    private String ENTSTATUS;
    /**
     * 经营状态编码 ,
     */
    @JsonProperty("ENTSTATUSCODE")
    private String ENTSTATUSCODE;
    /**
     * 注销日期 ,
     */
    @JsonProperty("CANDATE")
    private String CANDATE;
    /**
     * : 吊销日期 ,
     */
    @JsonProperty("REVDATE")
    private String REVDATE;
    /**
     * 核准日期 ,
     */
    @JsonProperty("APPRDATE")
    private String APPRDATE;
    /**
     * 所在省份
     */
    @JsonProperty("REGORGPROVINCE")
    private String REGORGPROVINCE;
	public String getENTNAME() {
		return ENTNAME;
	}
	public void setENTNAME(String eNTNAME) {
		ENTNAME = eNTNAME;
	}
	public String getENTID() {
		return ENTID;
	}
	public void setENTID(String eNTID) {
		ENTID = eNTID;
	}
	public String getORGCODES() {
		return ORGCODES;
	}
	public void setORGCODES(String oRGCODES) {
		ORGCODES = oRGCODES;
	}
	public String getCREDITCODE() {
		return CREDITCODE;
	}
	public void setCREDITCODE(String cREDITCODE) {
		CREDITCODE = cREDITCODE;
	}
	public String getREGNO() {
		return REGNO;
	}
	public void setREGNO(String rEGNO) {
		REGNO = rEGNO;
	}
	public String getFRNAME() {
		return FRNAME;
	}
	public void setFRNAME(String fRNAME) {
		FRNAME = fRNAME;
	}
	public String getREGCAP() {
		return REGCAP;
	}
	public void setREGCAP(String rEGCAP) {
		REGCAP = rEGCAP;
	}
	public String getESDATE() {
		return ESDATE;
	}
	public void setESDATE(String eSDATE) {
		ESDATE = eSDATE;
	}
	public String getENTITYTYPE() {
		return ENTITYTYPE;
	}
	public void setENTITYTYPE(String eNTITYTYPE) {
		ENTITYTYPE = eNTITYTYPE;
	}
	public String getENTTYPE() {
		return ENTTYPE;
	}
	public void setENTTYPE(String eNTTYPE) {
		ENTTYPE = eNTTYPE;
	}
	public String getENTSTATUS() {
		return ENTSTATUS;
	}
	public void setENTSTATUS(String eNTSTATUS) {
		ENTSTATUS = eNTSTATUS;
	}
	public String getENTSTATUSCODE() {
		return ENTSTATUSCODE;
	}
	public void setENTSTATUSCODE(String eNTSTATUSCODE) {
		ENTSTATUSCODE = eNTSTATUSCODE;
	}
	public String getCANDATE() {
		return CANDATE;
	}
	public void setCANDATE(String cANDATE) {
		CANDATE = cANDATE;
	}
	public String getREVDATE() {
		return REVDATE;
	}
	public void setREVDATE(String rEVDATE) {
		REVDATE = rEVDATE;
	}
	public String getAPPRDATE() {
		return APPRDATE;
	}
	public void setAPPRDATE(String aPPRDATE) {
		APPRDATE = aPPRDATE;
	}
	public String getREGORGPROVINCE() {
		return REGORGPROVINCE;
	}
	public void setREGORGPROVINCE(String rEGORGPROVINCE) {
		REGORGPROVINCE = rEGORGPROVINCE;
	}
   

}