package com.gx.obe.server.tripartitefunction.bidata.vo;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonProperty;

/** 
 * @Description: 动产抵押-登记信息 ,
 * @author mazc 
 */
public class Mortgagereg implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 8996239872476560800L;
	/**
	 * 登记编号 ,
	 */
	@JsonProperty("MAB_REGNO")
	private String MAB_REGNO;
	/**
	 * 登记日期 ,
	 */
	@JsonProperty("MAB_REG_DATE")
	private String MAB_REG_DATE;
	/**
	 * 登记机关 ,
	 */
	@JsonProperty("MAB_REG_ORG")
	private String MAB_REG_ORG;
	/**
	 * 采集地址
	 */
	@JsonProperty("MAB_REG_URL")
	private String MAB_REG_URL;

	public String getMAB_REGNO() {
		return MAB_REGNO;
	}

	public void setMAB_REGNO(String mAB_REGNO) {
		MAB_REGNO = mAB_REGNO;
	}

	public String getMAB_REG_DATE() {
		return MAB_REG_DATE;
	}

	public void setMAB_REG_DATE(String mAB_REG_DATE) {
		MAB_REG_DATE = mAB_REG_DATE;
	}

	public String getMAB_REG_ORG() {
		return MAB_REG_ORG;
	}

	public void setMAB_REG_ORG(String mAB_REG_ORG) {
		MAB_REG_ORG = mAB_REG_ORG;
	}

	public String getMAB_REG_URL() {
		return MAB_REG_URL;
	}

	public void setMAB_REG_URL(String mAB_REG_URL) {
		MAB_REG_URL = mAB_REG_URL;
	}

}