package com.gx.obe.server.common.utils;

import java.net.URI;
import java.net.URISyntaxException;

import com.gx.obe.server.management.evaluation.service.impl.BidPriceResultServiceImpl;

 
public class URLUtil {

	private static final org.slf4j.Logger LOG = org.slf4j.LoggerFactory.getLogger(BidPriceResultServiceImpl.class);

	/**
	 * @Description:获得path部分 
	 * @author mazc
	 * @param uriStr URI路径
	 * @return 
	 */
	public static String getPath(String uriStr) {
		URI uri = null;
		try {
			uri = new URI(uriStr);
		} catch (URISyntaxException e) {
			LOG.error(e.getMessage());
 		}
		return uri.getPath();
	}
}
