package com.gx.obe.server.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
public class WebMvcConfig implements WebMvcConfigurer{
 
	@Bean
	ManageInterceptor ManageInterceptor() {
		return new ManageInterceptor();
	}
	
    /** 
     * @Description: 添加拦截器
     * @author mazc
     * @param registry 
     */
    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(ManageInterceptor())
        			.addPathPatterns("/tenderProject/deleteProjectInfo");
    }
 
}
