package com.gx.obe.server.im;

import com.gx.obe.server.im.util.ObjectUtil;

/**
 * @Description:
 * @Description:
 * @author guoyr
 */
public class SendFileParam {
	private String sendId;
	private String receiveId;
	private String sendIp;
	private int sendPort;
	private long threadId;
	private String fileId;
	private String fileName;
	private long fileSize;
	private String order;
	boolean isOffline = false;
	public String getSendId() {
		return sendId;
	}
	public void setSendId(String sendId) {
		this.sendId = sendId;
	}
	public String getReceiveId() {
		return receiveId;
	}
	public void setReceiveId(String receiveId) {
		this.receiveId = receiveId;
	}
	public String getSendIp() {
		return sendIp;
	}
	public void setSendIp(String sendIp) {
		this.sendIp = sendIp;
	}
	public int getSendPort() {
		return sendPort;
	}
	public void setSendPort(int sendPort) {
		this.sendPort = sendPort;
	}
	public long getThreadId() {
		return threadId;
	}
	public void setThreadId(long threadId) {
		this.threadId = threadId;
	}
	public String getFileId() {
		return fileId;
	}
	public void setFileId(String fileId) {
		this.fileId = fileId;
	}
	public String getFileName() {
		return fileName;
	}
	public void setFileName(String fileName) {
		this.fileName = fileName;
	}
	public long getFileSize() {
		return fileSize;
	}
	public void setFileSize(long fileSize) {
		this.fileSize = fileSize;
	}
	
	public String getOrder() {
		return order;
	}
	public void setOrder(String order) {
		this.order = order;
	}
	public boolean isOffline() {
		return isOffline;
	}
	public void setOffline(boolean isOffline) {
		this.isOffline = isOffline;
	}
	public SendFileParam(String order){
		
	}
	public SendFileParam(){
		
	}
	public String getOrderStr(){
		StringBuilder sb = new StringBuilder();
		sb.append(ObjectUtil.getObjString(order));
		sb.append(ChatConstants.FG);
		sb.append(ObjectUtil.getObjString(sendId));
		sb.append(ChatConstants.FG);
		sb.append(ObjectUtil.getObjString(receiveId));
		sb.append(ChatConstants.FG);
		sb.append(ObjectUtil.getObjString(fileId));
		sb.append(ChatConstants.FG);
		sb.append(ObjectUtil.getObjString(fileName));
		sb.append(ChatConstants.FG);
		sb.append(ObjectUtil.getObjString(fileSize));
		sb.append(ChatConstants.FG);
		sb.append(ObjectUtil.getObjString(sendIp));
		sb.append(ChatConstants.FG);
		sb.append(ObjectUtil.getObjString(sendPort));
		sb.append(ChatConstants.FG);
		sb.append(ObjectUtil.getObjString(threadId));
		sb.append(ChatConstants.FG);
		sb.append(isOffline?"1":"0");
		return sb.toString();
	}
	
	public static SendFileParam getFileParams(String orderStr){
		SendFileParam params = new SendFileParam();
		String[] paramArry = orderStr.split(ChatConstants.FG);
		int index = 0;
		params.setOrder(paramArry[index++]);
		params.setSendId(paramArry[index++]);
		params.setReceiveId(paramArry[index++]);
		params.setFileId(paramArry[index++]);
		params.setFileName(paramArry[index++]);
		params.setFileSize(Long.parseLong(paramArry[index++]));
		params.setSendIp(paramArry[index++]);
		String sendPort = paramArry[index++];
		if(!"".equals(sendPort)){
			params.setSendPort(Integer.parseInt(sendPort));
		}
		String threadId = paramArry[index++];
		if(!"".equals(threadId)){
			params.setThreadId(Long.parseLong(threadId));
		}
		params.setOffline(paramArry[index++].equals("1")?true:false);
		return params;
	}
	
	public static SendFileParam copy(SendFileParam sourth){
		return getFileParams(sourth.getOrderStr());
	}
}
