package com.gx.obe.server.management.dictionary.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.dictionary.entity.DictLink;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface DictLinkMapper extends BaseMapper<DictLink> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeDictLinkList 
	 */
	Integer updateBatchList (@Param("ObeDictLinkList") List<DictLink> ObeDictLinkList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeDictLinkList 
	 */
	Integer insertByBatch (@Param("ObeDictLinkList")List<DictLink> ObeDictLinkList);
	
	
	/**
	 * @Description: 删除项目的特征码检查项
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	Integer deleteFeatureCheckItem(@Param("tenderId")String tenderId);
	
	/**
	 * @Description:  删除项目的清标检查项
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	Integer deleteCleanTenderItem(@Param("tenderId")String tenderId);

}