package com.gx.obe.server.management.dictionary.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.gx.obe.server.management.user.entity.AuthUserEntity;

/**
 * @Description:
 * @author wangxiang
 */

@TableName("obe_chain")
public class Chain extends Model<Chain> {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	@TableId("CHAIN_ID")
	private String id;
	/**
	 * 项目ID
	 */
	@TableField("TENDER_ID")
	private String tenderId;
	
	@TableField("CHAIN_TYPE")
	private String chainType;
	/**
	 * 交易地址哈希
	 */
	@TableField("TXHASH_ADDRESS")
	private String txHashAddress;
	
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getTenderId() {
		return tenderId;
	}
	public void setTenderId(String tenderId) {
		this.tenderId = tenderId;
	}
	public String getChainType() {
		return chainType;
	}
	public void setChainType(String chainType) {
		this.chainType = chainType;
	}
	public String getTxHashAddress() {
		return txHashAddress;
	}
	public void setTxHashAddress(String txHashAddress) {
		this.txHashAddress = txHashAddress;
	}
	
	public static final String CHAIN_ID = "CHAIN_ID";

	public static final String TENDER_ID = "TENDER_ID";
	public static final String CHAIN_TYPE = "CHAIN_TYPE";

	public static final String TXHASHADDRESS = "TXHASHADDRESS";
	
	@Override
	protected Serializable pkVal() {
		return this.id;
	}
	
	@Override
	public String toString() {
		return "Chain{" + ", id=" + id + ", tenderId=" + tenderId + ", chainType=" + chainType + ", txHashAddress="
				+ txHashAddress + "}";
	}
	
}
