package com.gx.obe.server.management.dictionary.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("obe_enc_envelope")
public class EncEnvelope extends Model<EncEnvelope> {
	private static final long serialVersionUID=1L;

    /**
     * 信封主键
     */
            @TableId("ENC_ENVELOPE_ID")
                private String id;
    /**
     * 项目id
     */
    @TableField("TENDER_ID")
        private String tenderId;
    /**
     * 供应商
     */
    @TableField("SUPPLIER_ID")
        private String supplierId;
    /**
     * 投标信封
     */
    @TableField("ENC_ENVELOPE_BYTE")
        private byte[] encEnvelopeByte;
    /**
     * CA类型
     */
    @TableField("CA_TYPE")
        private String caType;
    /**
     * 证书id
     */
    @TableField("CERT_ID")
        private String certId;

 

    public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTenderId(){
        return tenderId;
        }

        public void setTenderId(String tenderId) {
        this.tenderId = tenderId;
        }

    public String getSupplierId(){
        return supplierId;
        }

        public void setSupplierId(String supplierId) {
        this.supplierId = supplierId;
        }

    public byte[] getEncEnvelopeByte(){
        return encEnvelopeByte;
        }

        public void setEncEnvelopeByte(byte[] encEnvelopeByte) {
        this.encEnvelopeByte = encEnvelopeByte;
        }

    public String getCaType(){
        return caType;
        }

        public void setCaType(String caType) {
        this.caType = caType;
        }

    public String getCertId(){
        return certId;
        }

        public void setCertId(String certId) {
        this.certId = certId;
        }

    public static final String ENC_ENVELOPE_ID ="ENC_ENVELOPE_ID";

    public static final String TENDER_ID ="TENDER_ID";

    public static final String SUPPLIER_ID ="SUPPLIER_ID";

    public static final String ENC_ENVELOPE_BYTE ="ENC_ENVELOPE_BYTE";

    public static final String CA_TYPE ="CA_TYPE";

    public static final String CERT_ID ="CERT_ID";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {
    return "EncEnvelope{" +
            ", id=" + id +
            ", tenderId=" + tenderId +
            ", supplierId=" + supplierId +
            ", encEnvelopeByte=" + encEnvelopeByte +
            ", caType=" + caType +
            ", certId=" + certId +
    "}";
    }
    }
