package com.gx.obe.server.management.editprice.entity;

import java.io.Serializable;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("obe_edit_price_item_result")
public class EditPriceItemResult extends Model<EditPriceItemResult> {
	private static final long serialVersionUID=1L;

    /**
     * 主键
     */
            @TableId("EDIT_PRICE_ITEM_RESULT_ID")
                private String id;
    /**
     * 项目id
     */
    @TableField("TENDER_ID")
        private String tenderId;
    /**
     * 报价id
     */
    @TableField("BID_PRICE_ID")
        private String bidPriceId;
    /**
     * 供应商id
     */
    @TableField("SUPPLIER_ID")
        private String supplierId;
    /**
     * 修正报价项主键
     */
    @TableField("EDIT_PRICE_ITEM_ID")
        private String editPriceItemId;
    /**
     * 修正报价
     */
    @TableField("EDIT_PRICE")
        private BigDecimal editPrice;
    /**
     * 修正原因
     */
    @TableField("EDIT_REASON")
        private String editReason;

 

    public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTenderId(){
        return tenderId;
        }

        public void setTenderId(String tenderId) {
        this.tenderId = tenderId;
        }

    public String getBidPriceId(){
        return bidPriceId;
        }

        public void setBidPriceId(String bidPriceId) {
        this.bidPriceId = bidPriceId;
        }

    public String getSupplierId(){
        return supplierId;
        }

        public void setSupplierId(String supplierId) {
        this.supplierId = supplierId;
        }

    public String getEditPriceItemId(){
        return editPriceItemId;
        }

        public void setEditPriceItemId(String editPriceItemId) {
        this.editPriceItemId = editPriceItemId;
        }

    public BigDecimal getEditPrice(){
        return editPrice;
        }

        public void setEditPrice(BigDecimal editPrice) {
        this.editPrice = editPrice;
        }

    public String getEditReason(){
        return editReason;
        }

        public void setEditReason(String editReason) {
        this.editReason = editReason;
        }

    public static final String EDIT_PRICE_ITEM_RESULT_ID ="EDIT_PRICE_ITEM_RESULT_ID";

    public static final String TENDER_ID ="TENDER_ID";

    public static final String BID_PRICE_ID ="BID_PRICE_ID";

    public static final String SUPPLIER_ID ="SUPPLIER_ID";

    public static final String EDIT_PRICE_ITEM_ID ="EDIT_PRICE_ITEM_ID";

    public static final String EDIT_PRICE ="EDIT_PRICE";

    public static final String EDIT_REASON ="EDIT_REASON";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() { //editPriceItemResultId
    return "EditPriceItemResult{" +
            ", id=" + id +
            ", tenderId=" + tenderId +
            ", bidPriceId=" + bidPriceId +
            ", supplierId=" + supplierId +
            ", editPriceItemId=" + editPriceItemId +
            ", editPrice=" + editPrice +
            ", editReason=" + editReason +
    "}";
    }
    }
