package com.gx.obe.server.management.evaluation.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
/**  
 * 
 * @author 
 * @Title: EvaluationRoom
 * @Package com.gx.obe.server.management.dictionary.entity  
 * @Description:   
 * @author: XiaoMa Pro - myzhichao@163.com
 * @date:   2019-05-13   
 * @version V1.0 
 * @Copyright: 2019 www.msypro.com Inc. All rights reserved. 
 *  
 */

@TableName("obe_evaluation_room")
public class EvaluationRoom extends Model<EvaluationRoom> {
	private static final long serialVersionUID=1L;

    /**
     * 评标室主键
     */
            @TableId("EVALUATION_ROOM_ID")
                private String id;
    /**
     * 评标室名称
     */
    @TableField("EVAL_ROOM_NAME")
        private String evalRoomName;
    /**
     * 评标室地址
     */
    @TableField("EVAL_ROOM_ADDRESS")
        private String evalRoomAddress;
    /**
     * 评标室门禁ip地址
     */
    @TableField("ACCESS_IP")
        private String accessIp;
    /**
     * 评标室门禁端口
     */
    @TableField("ACCESS_PORT")
        private String accessPort;
    /**
     * 评标室类型
     */
    @TableField("EVAL_ROOM_TYPE")
        private String evalRoomType ;
    /**
     * 评标室创建人外键
     */
    @TableField("CREATE_USER")
        private String createUserId;
    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
        private LocalDateTime createTime;
    /**
     * 评标室修改人外键
     */
    @TableField("MODIFY_USER")
        private String modifyUserId;
    /**
     * 修改时间
     */
    @TableField("MODIFY_TIME")
        private LocalDateTime modifyTime;
    /**
     * 使用状态
     */
    @TableField("USE_STATUS")
        private String useStatus;
    /**
     * 评标区外键
     */
    @TableField("EVALUATION_AREA_ID")
        private String evaluationAreaId;

 

    public String getEvalRoomName(){
        return evalRoomName;
        }

        public void setEvalRoomName(String evalRoomName) {
        this.evalRoomName = evalRoomName;
        }

    public String getEvalRoomAddress(){
        return evalRoomAddress;
        }

        public void setEvalRoomAddress(String evalRoomAddress) {
        this.evalRoomAddress = evalRoomAddress;
        }

    public String getAccessIp(){
        return accessIp;
        }

        public void setAccessIp(String accessIp) {
        this.accessIp = accessIp;
        }

    public String getAccessPort(){
        return accessPort;
        }

        public void setAccessPort(String accessPort) {
        this.accessPort = accessPort;
        }

    public String getEvalRoomType(){
        return evalRoomType;
        }

        public void setEvalRoomType(String evalRoomType) {
        this.evalRoomType = evalRoomType;
        }

 

    public LocalDateTime getCreateTime(){
        return createTime;
        }

        public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
        }

 

    public LocalDateTime getModifyTime(){
        return modifyTime;
        }

        public void setModifyTime(LocalDateTime modifyTime) {
        this.modifyTime = modifyTime;
        }

    public String getUseStatus(){
        return useStatus;
        }

        public void setUseStatus(String useStatus) {
        this.useStatus = useStatus;
        }

    public String getEvaluationAreaId(){
        return evaluationAreaId;
        }

        public void setEvaluationAreaId(String evaluationAreaId) {
        this.evaluationAreaId = evaluationAreaId;
        }
        

    public String getId() {
			return id;
		}

		public void setId(String id) {
			this.id = id;
		}

		public String getCreateUserId() {
			return createUserId;
		}

		public void setCreateUserId(String createUserId) {
			this.createUserId = createUserId;
		}

		public String getModifyUserId() {
			return modifyUserId;
		}

		public void setModifyUserId(String modifyUserId) {
			this.modifyUserId = modifyUserId;
		}


	public static final String EVALUATION_ROOM_ID ="EVALUATION_ROOM_ID";

    public static final String EVAL_ROOM_NAME ="EVAL_ROOM_NAME";

    public static final String EVAL_ROOM_ADDRESS ="EVAL_ROOM_ADDRESS";

    public static final String ACCESS_IP ="ACCESS_IP";

    public static final String ACCESS_PORT ="ACCESS_PORT";

    public static final String EVAL_ROOM_TYPE ="EVAL_ROOM_TYPE";

    public static final String CREATE_USER ="CREATE_USER";

    public static final String CREATE_TIME ="CREATE_TIME";

    public static final String MODIFY_USER ="MODIFY_USER";

    public static final String MODIFY_TIME ="MODIFY_TIME";

    public static final String USE_STATUS ="USE_STATUS";

    public static final String EVALUATION_AREA_ID ="EVALUATION_AREA_ID";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {
    return "EvaluationRoom{" +
            ", id=" + id +
            ", evalRoomName=" + evalRoomName +
            ", evalRoomAddress=" + evalRoomAddress +
            ", accessIp=" + accessIp +
            ", accessPort=" + accessPort +
            ", evalRoomType=" + evalRoomType +
            ", createUserId=" + createUserId +
            ", createTime=" + createTime +
            ", modifyUserId=" + modifyUserId +
            ", modifyTime=" + modifyTime +
            ", useStatus=" + useStatus +
            ", evaluationAreaId=" + evaluationAreaId +
    "}";
    }
    }
