package com.gx.obe.server.management.im.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.im.entity.EmployeeDepartment;

import java.util.List;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface EmployeeDepartmentService extends IService<EmployeeDepartment> {

 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param EmployeeDepartmentList 
	 */
 	Integer updateByBatch(List<EmployeeDepartment> EmployeeDepartmentList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param EmployeeDepartmentList 
	 */
	Integer insertByBatch(List<EmployeeDepartment> EmployeeDepartmentList);
	
	/**
     * @Description: 指定字段修改
     * @author chenxw
     * @param EmployeeDepartment
	 * @param attributes
     */
    boolean updateAssignProperty(EmployeeDepartment EmployeeDepartment, String[] attributes);
    
    /**
     * @Description: 批量指定字段修改
     * @author chenxw
     * @param EmployeeDepartmentList
	 * @param attributes
     */
    Integer batchUpdateProperty(List<EmployeeDepartment> EmployeeDepartmentList, String[] attributes);
	
	/** 
	 * @Description: 批量添加或跟新
	 * @author chenxw
	 * @param EmployeeDepartmentList
	 * @param attributes
	 * @return 
	 */
    Integer batchSaveOrUpdate(List<EmployeeDepartment> EmployeeDepartmentList, String[] attributes);
	
}



