package com.gx.obe.server.management.other.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.other.entity.InquireEnvelop;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface InquireEnvelopMapper extends BaseMapper<InquireEnvelop> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeInquireEnvelopList 
	 */
	Integer updateBatchList (@Param("ObeInquireEnvelopList") List<InquireEnvelop> ObeInquireEnvelopList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeInquireEnvelopList 
	 */
	Integer insertByBatch (@Param("ObeInquireEnvelopList")List<InquireEnvelop> ObeInquireEnvelopList);
	
	/**
	 * @Description: 
	 * @author mazc
	 * @param tenderId
	 * @param userId
	 * @param supplierId
	 * @param stepId
	 * @return 
	 */
	List<InquireEnvelop> getInquireEnvelopList(@Param("tenderId")String tenderId, @Param("userId")String userId, @Param("supplierId")String supplierId,@Param("stepId")String stepId);

	/**
	 * @Description: 删除全部
	 * @author wangxiang
	 * @param tenderId
	 * @return 
	 */
	Integer deleteAllByTenderId(@Param("tenderId")String tenderId);

}