package com.gx.obe.server.management.other.entity;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
/** 
 * @Description:
 * @author mazc 
 */

@TableName("obe_signature_file")
public class SignatureFile extends Model<SignatureFile> {
	private static final long serialVersionUID=1L;

    /**
     * 主键
     */
            @TableId("SIGNATURE_ID")
                private String id;
    /**
     * 签章文件名称
     */
    @TableField("FILE_NAME")
        private String fileName;
    /**
     * 项目id
     */
    @TableField("TENDER_ID")
        private String tenderId;
    /**
     * 当前签字人用户id
     */
    @TableField("CUR_USER_ID")
        private String curUserId;
    /**
     * 当前签字人姓名
     */
    @TableField("CUR_USER_NAME")
        private String curUserName;
    /**
     * 添加流转签章时间
     */
    @TableField("CREATE_TIME")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private Date createTime;
    /**
     * 签章文件修改时间
     */
    @TableField("LAST_SIGNATURE_TIME")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private Date lastSignatureTime;
    /**
     * 签章状态
     */
    @TableField("SIGNATURE_TYPE")
        private String signatureType;
    /**
     * 文件类型
     */
    @TableField("REPORT_TYPE")
        private String reportType;


   
    public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getFileName(){
        return fileName;
        }

        public void setFileName(String fileName) {
        this.fileName = fileName;
        }

    public String getTenderId(){
        return tenderId;
        }

        public void setTenderId(String tenderId) {
        this.tenderId = tenderId;
        }

    public String getCurUserId(){
        return curUserId;
        }

        public void setCurUserId(String curUserId) {
        this.curUserId = curUserId;
        }

    public String getCurUserName(){
        return curUserName;
        }

        public void setCurUserName(String curUserName) {
        this.curUserName = curUserName;
        }

    public Date getCreateTime(){
        return createTime;
        }

        public void setCreateTime(Date createTime) {
        this.createTime = createTime;
        }

    public Date getLastSignatureTime(){
        return lastSignatureTime;
        }

        public void setLastSignatureTime(Date lastSignatureTime) {
        this.lastSignatureTime = lastSignatureTime;
        }

    public String getSignatureType(){
        return signatureType;
        }

        public void setSignatureType(String signatureType) {
        this.signatureType = signatureType;
        }
    public String getReportType(){
        return reportType;
        }

        public void setReportType(String reportType) {
        this.reportType = reportType;
        }

    public static final String SIGNATURE_ID ="SIGNATURE_ID";

    public static final String FILE_NAME ="FILE_NAME";

    public static final String TENDER_ID ="TENDER_ID";

    public static final String CUR_USER_ID ="CUR_USER_ID";

    public static final String CUR_USER_NAME ="CUR_USER_NAME";

    public static final String FILE_BYTE ="FILE_BYTE";

    public static final String CREATE_TIME ="CREATE_TIME";

    public static final String LAST_SIGNATURE_TIME ="LAST_SIGNATURE_TIME";

    public static final String SIGNATURE_TYPE ="SIGNATURE_TYPE";
    public static final String REPORT_TYPE ="REPORT_TYPE";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {
    return "SignatureFile{" +
            ", id=" + id +
            ", fileName=" + fileName +
            ", tenderId=" + tenderId +
            ", curUserId=" + curUserId +
            ", curUserName=" + curUserName +
            ", createTime=" + createTime +
            ", lastSignatureTime=" + lastSignatureTime +
            ", signatureType=" + signatureType +
            ", reportType=" + reportType +
    "}";
    }
    }
