package com.gx.obe.server.management.scancode.entity;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor 
public class ScanCodeHeader implements Serializable {
	private static final long serialVersionUID = 2130956739235298067L;

	/**
	 * 成功
	 */
	public static final String SUCCESS = "0";

	/**
	 * 失败
	 */
	public static final String FAIL = "1";

	/**
	 *  返回消息体
	 */
	private String msg;

	/**
	 * 0为成功, 1为失败”
	 */
	private String returnCode;

}
