package com.gx.obe.server.management.struct_new.controller;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.struct_new.entity.ObeProfitlossSheet;
import com.gx.obe.server.management.struct_new.service.ObeProfitlossSheetService;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/obeProfitlossSheet")
public class ObeProfitlossSheetController extends BaseController<ObeProfitlossSheetService, ObeProfitlossSheet> {
    @Autowired
    public ObeProfitlossSheetService ObeProfitlossSheetServices;

    /**
     * @param ObeProfitlossSheetList
     * @Description: 批量插入
     * @author mazc
     */
    @PostMapping("/insertByBatch")
    public int insertByBatch(@RequestBody List<ObeProfitlossSheet> ObeProfitlossSheetList) {
        return ObeProfitlossSheetServices.insertByBatch(ObeProfitlossSheetList);
    }

    /**
     * @param ObeProfitlossSheetList
     * @Description: 批量更新
     * @author mazc
     */
    @PostMapping("/updateByBatch")
    public int updateByBatch(@RequestBody List<ObeProfitlossSheet> ObeProfitlossSheetList) {
        return ObeProfitlossSheetServices.updateByBatch(ObeProfitlossSheetList);
    }

}