package com.gx.obe.server.management.struct_new.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author chenxw
 * @Description:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("obe_evaluation_content")
public class ObeEvaluationContent extends Model<ObeEvaluationContent> {

    private static final long serialVersionUID = 1L;

    @TableId("ID")
    private String id;
    @TableField("TENDER_ID")
    private String tenderId;
    @TableField("FACTOR_CODE")
    private String factorCode;
    @TableField("REL_CHAPTER_TYPE")
    private String relChapterType;
    @TableField("DATA_CATEGORY")
    private String dataCategory;
    @TableField("DATA_CODE")
    private String dataCode;
    @TableField("EVAL_RULE")
    private String evalRule;
    @TableField("TENDER_STRUCT_NAME")
    private String tenderStructName;
    @TableField("EVAL_POINT_NAME")
    private String evalPointName;
    @TableField("SORT_NO")
    private Integer sortNo;

}