package com.gx.obe.server.management.struct_new.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.struct_new.entity.ObeAttachmentFile;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
public interface ObeAttachmentFileService extends IService<ObeAttachmentFile> {

    /**
     * @param ObeAttachmentFileList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateByBatch(List<ObeAttachmentFile> ObeAttachmentFileList);

    /**
     * @param ObeAttachmentFileList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(List<ObeAttachmentFile> ObeAttachmentFileList);

    /**
     * @param ObeAttachmentFile
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    boolean updateAssignProperty(ObeAttachmentFile ObeAttachmentFile, String[] attributes);

    /**
     * @param ObeAttachmentFileList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(List<ObeAttachmentFile> ObeAttachmentFileList, String[] attributes);

    /**
     * @param ObeAttachmentFileList
     * @param attributes
     * @return
     * @Description: 批量添加或跟新
     * @author chenxw
     */
    Integer batchSaveOrUpdate(List<ObeAttachmentFile> ObeAttachmentFileList, String[] attributes);

    /**
     * @param businessId
     * @return
     * @Description: 获取附件列表
     * @author chenxw
     */
    List<ObeAttachmentFile> getAttachmentFileList(String businessId);

}



