package com.gx.obe.server.management.struct_new.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.struct_new.entity.ObeCashSheet;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
public interface ObeCashSheetService extends IService<ObeCashSheet> {

    /**
     * @param ObeCashSheetList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateByBatch(List<ObeCashSheet> ObeCashSheetList);

    /**
     * @param ObeCashSheetList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(List<ObeCashSheet> ObeCashSheetList);

    /**
     * @param ObeCashSheet
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    boolean updateAssignProperty(ObeCashSheet ObeCashSheet, String[] attributes);

    /**
     * @param ObeCashSheetList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(List<ObeCashSheet> ObeCashSheetList, String[] attributes);

    /**
     * @param ObeCashSheetList
     * @param attributes
     * @return
     * @Description: 批量添加或跟新
     * @author chenxw
     */
    Integer batchSaveOrUpdate(List<ObeCashSheet> ObeCashSheetList, String[] attributes);

}



