package com.gx.obe.server.management.table.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.table.entity.ObeBidPriceTableTitle;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ObeBidPriceTableTitleMapper extends BaseMapper<ObeBidPriceTableTitle> {

    /**
     * @param ObeBidPriceTableTitleList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateBatchList(@Param("ObeBidPriceTableTitleList") List<ObeBidPriceTableTitle> ObeBidPriceTableTitleList);

    /**
     * @param ObeBidPriceTableTitleList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(@Param("ObeBidPriceTableTitleList") List<ObeBidPriceTableTitle> ObeBidPriceTableTitleList);

    /**
     * @param ObeBidPriceTableTitle
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObeBidPriceTableTitle") ObeBidPriceTableTitle ObeBidPriceTableTitle, @Param("attributes") String[] attributes);

    /**
     * @param ObeBidPriceTableTitleList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObeBidPriceTableTitleList") List<ObeBidPriceTableTitle> ObeBidPriceTableTitleList, @Param("attributes") String[] attributes);

}