package com.gx.obe.server.management.table.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.table.entity.ObeBidPriceTableTitle;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
public interface ObeBidPriceTableTitleService extends IService<ObeBidPriceTableTitle> {

    /**
     * @param ObeBidPriceTableTitleList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateByBatch(List<ObeBidPriceTableTitle> ObeBidPriceTableTitleList);

    /**
     * @param ObeBidPriceTableTitleList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(List<ObeBidPriceTableTitle> ObeBidPriceTableTitleList);

    /**
     * @param ObeBidPriceTableTitle
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    boolean updateAssignProperty(ObeBidPriceTableTitle ObeBidPriceTableTitle, String[] attributes);

    /**
     * @param ObeBidPriceTableTitleList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(List<ObeBidPriceTableTitle> ObeBidPriceTableTitleList, String[] attributes);

    /**
     * @param ObeBidPriceTableTitleList
     * @param attributes
     * @return
     * @Description: 批量添加或跟新
     * @author chenxw
     */
    Integer batchSaveOrUpdate(List<ObeBidPriceTableTitle> ObeBidPriceTableTitleList, String[] attributes);

    /**
     * @param priceTableId
     * @return
     * @Description: 根据报价表id获取
     * @author chenxw
     */
    List<ObeBidPriceTableTitle> getByPriceTableId(String priceTableId);

}



