package com.gx.obe.server.management.user.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("obe_ca_binding")
public class CaBinding extends Model<CaBinding> {
	private static final long serialVersionUID=1L;

    /**
     * 主键
     */
            @TableId("CA_BINDING_ID")
                private String id;
    /**
     * 用户id
     */
    @TableField("USER_ID")
        private String userId;
    /**
     * CA序列号
     */
    @TableField("CERT_ID")
        private String certId;
    /**
     * CA用户名称
     */
    @TableField("AUTHOR")
        private String author;
    /**
     * CA有效时间
     */
    @TableField("VALID_TIME")
        private LocalDateTime validTime;
    /**
     * 颁发者
     */
    @TableField("ISSUER")
        private String issuer;


  
    public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUserId(){
        return userId;
        }

        public void setUserId(String userId) {
        this.userId = userId;
        }

    public String getCertId(){
        return certId;
        }

        public void setCertId(String certId) {
        this.certId = certId;
        }

    public String getAuthor(){
        return author;
        }

        public void setAuthor(String author) {
        this.author = author;
        }

    public LocalDateTime getValidTime(){
        return validTime;
        }

        public void setValidTime(LocalDateTime validTime) {
        this.validTime = validTime;
        }

    public String getIssuer(){
        return issuer;
        }

        public void setIssuer(String issuer) {
        this.issuer = issuer;
        }

    public static final String CA_BINDING_ID ="CA_BINDING_ID";

    public static final String USER_ID ="USER_ID";

    public static final String CERT_ID ="CERT_ID";

    public static final String AUTHOR ="AUTHOR";

    public static final String VALID_TIME ="VALID_TIME";

    public static final String ISSUER ="ISSUER";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {
    return "CaBinding{" +
            ", id=" + id +
            ", userId=" + userId +
            ", certId=" + certId +
            ", author=" + author +
            ", validTime=" + validTime +
            ", issuer=" + issuer +
    "}";
    }
    }
