package com.gx.obe.server.management.vo;

import com.gx.obe.server.management.boq.entity.*;
import lombok.Data;

import java.util.List;

/**
 * @author mazc
 * @Description: 数据集
 */
@Data
public class AnalyzeDataSource {
    private String tenderId;
    private String supplierId;

    private List<ObeConstructProject> projectList;
    private List<ObeBillTable> billTableList;
    private List<ObeQuotaItem> quotaItemList;
    private List<ObeMeasureTable> measureTableList;
    private List<ObeExtraTable> extraTableList;
    private List<ObeProjectSummary> projectSummaryList;
    private List<ObeProvisionalSums> provisionalSumsList;
    private List<ObeAppraisalPrice> appraisalPriceList;
    private List<ObeServiceCosts> serviceCostsList;
    private List<ObeDayWorks> dayWorksList;
    private List<ObeRatesTable> ratesTableList;
    private List<ObeMaterialSummary> materialSummaryList;
    private List<ObeSupplyMaterialDetail> supplyMaterialDetailList;
}
