package com.gx.obe.server.tripartitefunction.bidata.vo;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonProperty;
 
/** 
 * @Description: 司法协助详情 ,
 * @author mazc 
 */
public class Judicialaiddetail implements Serializable {

    /**
	 * 
	 */
	private static final long serialVersionUID = 6792073396246268018L;
	/**
     * 被执行人ID ,
     */
    @JsonProperty("PARENT_ID")
    private String PARENT_ID;
    /**
     * 执行事项 ,
     */
    @JsonProperty("EXECUTION")
    private String EXECUTION;
    /**
     *  执行法院 ,
     */
    @JsonProperty("COURTNAME")
    private String COURTNAME;
    /**
     * 执行裁定书文号 ,
     */
    @JsonProperty("JUDGMENT_NO")
    private String JUDGMENT_NO;
    /**
     * 协助执行通知书文号 ,
     */
    @JsonProperty("EX_NOTICE_NO")
    private String EX_NOTICE_NO;
    /**
     * 被执行人类型 ,
     */
    @JsonProperty("INAME_TYPE")
    private String INAME_TYPE;
    /**
     * 被执行人 ,
     */
    @JsonProperty("INAME")
    private String INAME;
    /**
     * 证件类型 ,
     */
    @JsonProperty("ID_TYPE")
    private String ID_TYPE;
    /**
     * 证照类型 ,
     */
    @JsonProperty("LICENCE_TYPE")
    private String LICENCE_TYPE;
    /**
     * 证照编号 ,
     */
    @JsonProperty("LICENCE_NO")
    private String LICENCE_NO;
    /**
     * 被冻结股权所在市场主体名称 ,
     */
    @JsonProperty("MARKET_NAME")
    private String MARKET_NAME;
    /**
     * 被冻结股权所在市场主体注册号 ,
     */
    @JsonProperty("REGIST_NO")
    private String REGIST_NO;
    /**
     * 被冻结股权所在市场统一社会信用代码 ,
     */
    @JsonProperty("MARKET_CREDIT_CODE")
    private String MARKET_CREDIT_CODE;
    /**
     *  股权数额 ,
     */
    @JsonProperty("SHAREAM")
    private String SHAREAM;
    /**
     * 股权数额单位 ,
     */
    @JsonProperty("SHAREAM_UNIT")
    private String SHAREAM_UNIT;
    /**
     * 币种 ,
     */
    @JsonProperty("CUR")
    private String CUR;
    /**
     * 冻结期限 ,
     */
    @JsonProperty("FPERIOD")
    private String FPERIOD;
    /**
     * 冻结期限自 ,
     */
    @JsonProperty("FROFROM")
    private String FROFROM;
    /**
     * 冻结期限至 ,
     */
    @JsonProperty("FROTO")
    private String FROTO;
    /**
     * 续行冻结期限自 ,
     */
    @JsonProperty("CFROFROM")
    private String CFROFROM;
    /**
     *  续行冻结期限至 ,
     */
    @JsonProperty("CFROTO")
    private String CFROTO;
    /**
     * 续行冻结期限 ,
     */
    @JsonProperty("CFPERIOD")
    private String CFPERIOD;
    /**
     * 公示日期 ,
     */
    @JsonProperty("PUBLICDATE")
    private String PUBLICDATE;
    /**
     * 股权冻结状态 ,
     */
    @JsonProperty("FREEZE_FLAG")
    private String FREEZEFLAG;
    /**
     * 解冻日期 ,
     */
    @JsonProperty("FREEZE_DATE")
    private String FREEZE_DATE;
    /**
     * 失效日期 ,
     */
    @JsonProperty("EXPIRATION_DATE")
    private String EXPIRATION_DATE;
    /**
     * 失效原因
     */
    @JsonProperty("EXPIRATION_REASON")
    private String EXPIRATION_REASON;
	public String getPARENT_ID() {
		return PARENT_ID;
	}
	public void setPARENT_ID(String pARENT_ID) {
		PARENT_ID = pARENT_ID;
	}
	public String getEXECUTION() {
		return EXECUTION;
	}
	public void setEXECUTION(String eXECUTION) {
		EXECUTION = eXECUTION;
	}
	public String getCOURTNAME() {
		return COURTNAME;
	}
	public void setCOURTNAME(String cOURTNAME) {
		COURTNAME = cOURTNAME;
	}
	public String getJUDGMENT_NO() {
		return JUDGMENT_NO;
	}
	public void setJUDGMENT_NO(String jUDGMENT_NO) {
		JUDGMENT_NO = jUDGMENT_NO;
	}
	public String getEX_NOTICE_NO() {
		return EX_NOTICE_NO;
	}
	public void setEX_NOTICE_NO(String eX_NOTICE_NO) {
		EX_NOTICE_NO = eX_NOTICE_NO;
	}
	public String getINAME_TYPE() {
		return INAME_TYPE;
	}
	public void setINAME_TYPE(String iNAME_TYPE) {
		INAME_TYPE = iNAME_TYPE;
	}
	public String getINAME() {
		return INAME;
	}
	public void setINAME(String iNAME) {
		INAME = iNAME;
	}
	public String getID_TYPE() {
		return ID_TYPE;
	}
	public void setID_TYPE(String iD_TYPE) {
		ID_TYPE = iD_TYPE;
	}
	public String getLICENCE_TYPE() {
		return LICENCE_TYPE;
	}
	public void setLICENCE_TYPE(String lICENCE_TYPE) {
		LICENCE_TYPE = lICENCE_TYPE;
	}
	public String getLICENCE_NO() {
		return LICENCE_NO;
	}
	public void setLICENCE_NO(String lICENCE_NO) {
		LICENCE_NO = lICENCE_NO;
	}
	public String getMARKET_NAME() {
		return MARKET_NAME;
	}
	public void setMARKET_NAME(String mARKET_NAME) {
		MARKET_NAME = mARKET_NAME;
	}
	public String getREGIST_NO() {
		return REGIST_NO;
	}
	public void setREGIST_NO(String rEGIST_NO) {
		REGIST_NO = rEGIST_NO;
	}
	public String getMARKET_CREDIT_CODE() {
		return MARKET_CREDIT_CODE;
	}
	public void setMARKET_CREDIT_CODE(String mARKET_CREDIT_CODE) {
		MARKET_CREDIT_CODE = mARKET_CREDIT_CODE;
	}
	public String getSHAREAM() {
		return SHAREAM;
	}
	public void setSHAREAM(String sHAREAM) {
		SHAREAM = sHAREAM;
	}
	public String getSHAREAM_UNIT() {
		return SHAREAM_UNIT;
	}
	public void setSHAREAM_UNIT(String sHAREAM_UNIT) {
		SHAREAM_UNIT = sHAREAM_UNIT;
	}
	public String getCUR() {
		return CUR;
	}
	public void setCUR(String cUR) {
		CUR = cUR;
	}
	public String getFPERIOD() {
		return FPERIOD;
	}
	public void setFPERIOD(String fPERIOD) {
		FPERIOD = fPERIOD;
	}
	public String getFROFROM() {
		return FROFROM;
	}
	public void setFROFROM(String fROFROM) {
		FROFROM = fROFROM;
	}
	public String getFROTO() {
		return FROTO;
	}
	public void setFROTO(String fROTO) {
		FROTO = fROTO;
	}
	public String getCFROFROM() {
		return CFROFROM;
	}
	public void setCFROFROM(String cFROFROM) {
		CFROFROM = cFROFROM;
	}
	public String getCFROTO() {
		return CFROTO;
	}
	public void setCFROTO(String cFROTO) {
		CFROTO = cFROTO;
	}
	public String getCFPERIOD() {
		return CFPERIOD;
	}
	public void setCFPERIOD(String cFPERIOD) {
		CFPERIOD = cFPERIOD;
	}
	public String getPUBLICDATE() {
		return PUBLICDATE;
	}
	public void setPUBLICDATE(String pUBLICDATE) {
		PUBLICDATE = pUBLICDATE;
	}
	public String getFREEZEFLAG() {
		return FREEZEFLAG;
	}
	public void setFREEZEFLAG(String fREEZEFLAG) {
		FREEZEFLAG = fREEZEFLAG;
	}
	public String getFREEZE_DATE() {
		return FREEZE_DATE;
	}
	public void setFREEZE_DATE(String fREEZE_DATE) {
		FREEZE_DATE = fREEZE_DATE;
	}
	public String getEXPIRATION_DATE() {
		return EXPIRATION_DATE;
	}
	public void setEXPIRATION_DATE(String eXPIRATION_DATE) {
		EXPIRATION_DATE = eXPIRATION_DATE;
	}
	public String getEXPIRATION_REASON() {
		return EXPIRATION_REASON;
	}
	public void setEXPIRATION_REASON(String eXPIRATION_REASON) {
		EXPIRATION_REASON = eXPIRATION_REASON;
	}
     

}